Bug 185279 - Security enhancement, suggested
Security enhancement, suggested
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysklogd (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 02:32 EST by Kevin Verma
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 07:38:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2006-03-13 02:32:11 EST
Description of problem:
When sysklogd started to except logs from remost hosts, it blindly starts
expecting logs from any host and any network interface, it is desirable if that
can be contained to particular interfaces and hosts. An interim solution could
be a listen or interface directive/option.

Version-Release number of selected component (if applicable):
all
Comment 1 Kevin Verma 2006-10-29 02:13:02 EST
s/except/accept
s/expecting/accepting

PS: I am not sure if I was my mind was wandering somewhere else while I filed 
this bug finally. Sorry for the pain you must have had gone through to
understand the exact enhancement I suggested and thanks for having this assigned. 
Comment 2 Peter Vrabec 2006-11-14 07:38:09 EST
I'm sorry, but "$man syslog" claims that you have to implement kernel 
firewalling to limit which hosts or networks have access to the 514/UDP 
socket.

Note You need to log in before you can comment on or make changes to this bug.